<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>

<script type="text/javascript">

    /* *************************** 模块初始化 ***************************** */
    var editorRole = {
        //form
        //$form: $("#div_info_form"),
        actionUrl: "${contextRoot}/role/addRole",
        //validator: null,
        init: function () {

            this.initForm();
            this.bindEvents();
        },
        initForm: function () {
            var me = this;
           // me.$form.attrScan();
            var modelString = "${model.id}";
            var data;
            if (modelString != undefined && modelString != null && modelString.length > 0) {
                data={
                    id: "${model.id}",
                    name: "${model.name}",
                    remark: "${model.remark}",
                };

                me.actionUrl = "${contextRoot}/role/updateRole";
            }
            $("#div_info_form").ligerAutoForm({
                data:data,
                validate:{
                    name: {
                        required:true
                    }
                },
                message:{

                    name:"名称不能为空！"
                }
            });
        },
        bindEvents: function () {
            var me = this;
            $("#btnSave").click(function () {
                if (!$("#div_info_form").ligerAutoForm("validate")) {
                    return;
                }
                var data = $("#div_info_form").ligerAutoForm("getData");
                $.ajax({ //ajax处理
                    type: "POST",
                    url: me.actionUrl,
                    dataType: "json",
                    data: data,
                    cache: false,
                    success: function (data) {
                        if (data.successFlg) {
                            parent.role.dialogSuccess(data.message);
                        }
                        else {
                            $.ligerDialog.error(data.message);
                        }
                    },
                    error: function (data) {
                        $.ligerDialog.error("Status:" + data.status + "(" + data.statusText + ")");
                    }
                });
            });

            $("#btnCancel").click(function () {
                parent.role.dialog.close();
            });

        }
    };


    $(function () {
        editorRole.init();

    });
</script>